curl --request PATCH \
--url https://www.useroulette.com/api/v1/accounts/{account_id}/shared-links/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"is_active": false
}
'{
"success": true,
"data": {
"link": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"short_code": "abc123xy",
"created_at": "2023-11-07T05:31:56Z",
"name": "Q1 2024 Portfolio for LP",
"description": "<string>",
"short_url": "https://www.useroulette.com/s/abc123xy",
"password_protected": true,
"expires_at": "2023-11-07T05:31:56Z",
"is_active": true,
"companies": [
{
"company_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"company_name": "<string>",
"permissions": "view"
}
],
"view_count": 42,
"updated_at": "2023-11-07T05:31:56Z"
}
}
}{
"success": false,
"error": "Invalid request body",
"data": null
}{
"success": false,
"error": "Invalid or expired API key",
"data": null
}{
"success": false,
"error": "Resource not found",
"data": null
}Shared Links
Update a shared link
Update shared link properties including name, password, expiration, active status, and the list of included companies.
PATCH
/
accounts
/
{account_id}
/
shared-links
/
{id}
curl --request PATCH \
--url https://www.useroulette.com/api/v1/accounts/{account_id}/shared-links/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"is_active": false
}
'{
"success": true,
"data": {
"link": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"short_code": "abc123xy",
"created_at": "2023-11-07T05:31:56Z",
"name": "Q1 2024 Portfolio for LP",
"description": "<string>",
"short_url": "https://www.useroulette.com/s/abc123xy",
"password_protected": true,
"expires_at": "2023-11-07T05:31:56Z",
"is_active": true,
"companies": [
{
"company_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"company_name": "<string>",
"permissions": "view"
}
],
"view_count": 42,
"updated_at": "2023-11-07T05:31:56Z"
}
}
}{
"success": false,
"error": "Invalid request body",
"data": null
}{
"success": false,
"error": "Invalid or expired API key",
"data": null
}{
"success": false,
"error": "Resource not found",
"data": null
}Authorizations
API key authentication. Generate keys from your account settings.
Include in header: Authorization: Bearer YOUR_API_KEY
Path Parameters
The unique identifier of the account/team
Body
application/json

